package com.yiboshi.science.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yiboshi.science.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

/**
 * 参数表VO
 * 
 * @author lkl
 * @version 2021-08-26
 */
@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "参数表VO")
public class SystemParameter extends BaseEntity {
    /** id */
    @ApiModelProperty(value = "id" )
    @Length(max=36, message = "id不能大于36")
    @TableId(value="id",type = IdType.UUID )
    private String id;
    /** 参数类型 */
    @ApiModelProperty(value = "参数类型", position = 1 )
    private Integer typeId;
    /** 父Id */
    @ApiModelProperty(value = "父Id", position = 2 )
    @Length(max=36, message = "父Id不能大于36")
//  @TableField(strategy = FieldStrategy.IGNORED)
    private String parentId;
    /** 参数名称 */
    @ApiModelProperty(value = "参数名称", position = 3 )
    @Length(max=200, message = "参数名称不能大于200")
    private String name;
    /** 标准编码 */
    @ApiModelProperty(value = "标准编码", position = 4 )
    @Length(max=50, message = "标准编码不能大于50")
    private String gbCode;
    /** 树编码 */
    @ApiModelProperty(value = "树编码", position = 5 )
    @Length(max=50, message = "树编码不能大于50")
    private String treeCode;
    /** 显示顺序 */
    @ApiModelProperty(value = "显示顺序", position = 6 )
    private Integer displayOrder;
    /** 状态 */
    @ApiModelProperty(value = "状态", position = 7 )
    private Integer noteState;
    /** 系统编码 */
    @ApiModelProperty(value = "系统编码", position = 8)
    @Length(max=50, message = "系统编码不能大于50")
    private String systemCode;
    /** 是否为必填项 */
    @ApiModelProperty(value = "是否为必填项", position = 8)
    private Boolean isRequired;
}