package com.yiboshi.science.param.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "评审表DTO")
public class ComEvaluationContentDTO extends BaseDTO {
    /** 评审表Id */
    @ApiModelProperty(value = "评审表Id", position = 2)
    private String evaluationId;
    /** 标题 */
    @ApiModelProperty(value = "标题", position = 3)
    @Length(max=200, message = "标题长度不能大于200")
    private String name;
    /** 总分 */
    @ApiModelProperty(value = "总分", position = 4)
    private BigDecimal score;
    /** 排序 */
    @ApiModelProperty(value = "排序", position = 5)
    private Integer showIndex;
    /** 是否有子项 */
    @ApiModelProperty(value = "是否有子项", position = 6)
    private Boolean hasSubitem;
    /** 值类型：1单选、2多选、3打分 */
    @ApiModelProperty(value = "值类型：1单选、2多选、3打分", position = 7)
    private Integer valueType;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 8)
    @Length(max=200, message = "备注长度不能大于200")
    private String remark;

    /** 内容子项列表 */
    @ApiModelProperty(value = "内容子项列表", position = 9)
    private List<ComEvaluationItemDTO> ContentItems;
    /** 值列表 */
    @ApiModelProperty(value = "值列表", position = 10)
    private List<ComEvaluationValueDTO> ContentValues;
}
