package com.yiboshi.science.param.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yiboshi.science.base.PaginationVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(description = "评审项目表VO")
public class ComEvaluationItemQueryVO extends PaginationVO {
    /** 评审内容Id */
    @ApiModelProperty(value = "评审内容Id", position = 2)
    @Length(max=36, message = "评审内容Id不能大于36")
    private String contentId;
    /** 标题 */
    @ApiModelProperty(value = "标题", position = 3)
    @Length(max=200, message = "标题不能大于200")
    private String name;
    /** 总分 */
    @ApiModelProperty(value = "总分", position = 4)
    private BigDecimal score;
    /** 排序 */
    @ApiModelProperty(value = "排序", position = 5)
    private Integer showIndex;
    /** 值类型：1单选、2多选、3打分 */
    @ApiModelProperty(value = "值类型：1单选、2多选、3打分", position = 6)
    private Integer valueType;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 7)
    @Length(max=200, message = "备注不能大于200")
    private String remark;
}
